Bug 253322 - Review Request: tomsfastmath - A fast public domain, open source, large integer arithmetic library
Summary: Review Request: tomsfastmath - A fast public domain, open source, large integ...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW 253324
TreeView+ depends on / blocked
 
Reported: 2007-08-17 20:41 UTC by Noah Kantrowitz
Modified: 2008-01-27 22:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 22:16:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Noah Kantrowitz 2007-08-17 20:41:09 UTC
Spec URL: http://dev.laptop.org/~coderanger/rpm/tomsfastmath/tomsfastmath.spec
SRPM URL: http://dev.laptop.org/~coderanger/rpm/tomsfastmath/tomsfastmath-0.12-1.fc8.src.rpm
Description: TomsFastMath is a fast public domain, open source, large integer arithmetic library written in portable ISO C. It is a port of LibTomMath with optional support for inline assembler multipliers. It has the following features.

Comment 1 Jason Tibbitts 2007-11-08 02:04:25 UTC
I just did a quick build of this and found some issues:

The debuginfo package seems broken; it doesn't contain any source.

The proper set of CFLAGS aren't used.  You can get them in with
  export CFLAGS="%{optflags}"
at the very beginning of %build, but that still doesn't solve the broken
debuginfo problem.  Plus this package adds some additional options like -O3
which are generally frowned upon.  Setting IGNORE_SPEED does get rid of those,
but of course you should benchmark to see if it actually makes a difference.

The -devel package doesn't own /usr/include/tomsfastmath/.

It would be nice to package the changes.txt file as documentation, probably in
the -devel package.


Comment 2 Mamoru TASAKA 2007-12-15 16:53:05 UTC
ping?

Comment 3 Michael Stone 2007-12-15 20:06:47 UTC
Noah just passed this bug over to me, so I'll reply with a new spec and srpm as
soon as I've learned enough to fix the packaging bugs Jason found. Thanks for
checking in.

Comment 4 Mamoru TASAKA 2008-01-17 14:29:50 UTC
Again ping?

Comment 5 Jason Tibbitts 2008-01-27 20:06:33 UTC
I think it's time to close this one.  Unless, of course, Mamoru would like to
keep it open or whoever is driving this now would like to give us an updated
package for review.

Comment 6 Michael Stone 2008-01-27 21:47:18 UTC
Closing it sounds wise to me. If I'm ever in a position where I'm able to
maintain the package, I'll reopen it. Please select whatever resolution seems
appropriate.


Note You need to log in before you can comment on or make changes to this bug.